Name:           frescobaldi
Version:        3.2
Release:        %mkrel 1
Summary:        A LilyPond sheet music editor
Group:          Graphical desktop/KDE5
License:        GPLv2+
Url:            http://www.frescobaldi.org
Source0:        https://github.com/wbsoft/frescobaldi/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

Requires:       lilypond
Requires:       ec-fonts-mftraced
Requires:       python3-qt5
Requires:       python3-qt5-webenginewidgets
Requires:       portmidi
Requires:       python3-ly
Requires:       python3-qpageview
Requires:       python3-pygame 
Requires:       python3-pyportmidi
Requires:       python3-poppler-qt5

%description
Frescobaldi is a LilyPond sheet music editor. It aims to be powerful, yet
lightweight and easy to use.

%files
%{python3_sitelib}/%{name}_app/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{name}
%{_datadir}/applications/org.%{name}.Frescobaldi.desktop
%{_datadir}/metainfo/org.%{name}.Frescobaldi.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.%{name}.Frescobaldi.svg
%{_mandir}/man1/%{name}.1.*

%post
%update_menus

%postun
%clean_menus

#--------------------------------------------------------------------

%prep
%setup -q

%build
%py3_build
cd linux
make

%install
%py3_install

sd "Qt;AudioVideo;Music;Utility;TextEditor;" "Qt;X-MandrivaLinux-Multimedia-Sound;" %buildroot/%{_datadir}/applications/org.%{name}.Frescobaldi.desktop

%changelog
* Mon Aug 22 2022 TerryN <terryn94 at gmail.com> 3.2-1pclos2022
- update and rebuild for python 3.10

* Mon Jan 06 2020 tex - 3.1.1-1pclos2020
- new version

* Mon Dec 30 2019 tex - 3.1-1pclos2020
- 3.1

* Mon Dec 29 2019 tex - 3.0.0-1pclos2019
- 3.0.0
